Deploy Checkpoint
curl --request POST \
--url https://api.primeintellect.ai/api/v1/inference/checkpoint-deploy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"runId": "<string>",
"step": 1,
"teamId": "<string>",
"onDemand": true,
"replicas": 1
}
'import requests
url = "https://api.primeintellect.ai/api/v1/inference/checkpoint-deploy"
payload = {
"runId": "<string>",
"step": 1,
"teamId": "<string>",
"onDemand": True,
"replicas": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({runId: '<string>', step: 1, teamId: '<string>', onDemand: true, replicas: 1})
};
fetch('https://api.primeintellect.ai/api/v1/inference/checkpoint-deploy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.primeintellect.ai/api/v1/inference/checkpoint-deploy",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'runId' => '<string>',
'step' => 1,
'teamId' => '<string>',
'onDemand' => true,
'replicas' => 1
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.primeintellect.ai/api/v1/inference/checkpoint-deploy"
payload := strings.NewReader("{\n \"runId\": \"<string>\",\n \"step\": 1,\n \"teamId\": \"<string>\",\n \"onDemand\": true,\n \"replicas\": 1\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.primeintellect.ai/api/v1/inference/checkpoint-deploy")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"runId\": \"<string>\",\n \"step\": 1,\n \"teamId\": \"<string>\",\n \"onDemand\": true,\n \"replicas\": 1\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.primeintellect.ai/api/v1/inference/checkpoint-deploy")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"runId\": \"<string>\",\n \"step\": 1,\n \"teamId\": \"<string>\",\n \"onDemand\": true,\n \"replicas\": 1\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"deploymentName": "<string>",
"status": "PENDING",
"servedModelAlias": "<string>",
"isOnDemand": true,
"createdAt": "2023-11-07T05:31:56Z",
"dashboardUrl": "<string>",
"statusPhase": "<string>",
"errorMessage": "<string>",
"endpointUrl": "<string>",
"checkpoint": {
"runId": "<string>",
"step": 123
},
"replicas": 123,
"gpusPerReplica": 123,
"maxReplicas": 123,
"scaleState": "<string>"
}{
"errors": [
{
"param": "<string>",
"details": "<string>"
}
]
}inference
Deploy Checkpoint
Serve step step of training run runId. Returns the deployment already serving
that checkpoint, if any. Any member of the run’s team may start a new one for an
on-demand run; a dedicated run needs an admin of its cluster’s team.
POST
/
api
/
v1
/
inference
/
checkpoint-deploy
Deploy Checkpoint
curl --request POST \
--url https://api.primeintellect.ai/api/v1/inference/checkpoint-deploy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"runId": "<string>",
"step": 1,
"teamId": "<string>",
"onDemand": true,
"replicas": 1
}
'import requests
url = "https://api.primeintellect.ai/api/v1/inference/checkpoint-deploy"
payload = {
"runId": "<string>",
"step": 1,
"teamId": "<string>",
"onDemand": True,
"replicas": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({runId: '<string>', step: 1, teamId: '<string>', onDemand: true, replicas: 1})
};
fetch('https://api.primeintellect.ai/api/v1/inference/checkpoint-deploy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.primeintellect.ai/api/v1/inference/checkpoint-deploy",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'runId' => '<string>',
'step' => 1,
'teamId' => '<string>',
'onDemand' => true,
'replicas' => 1
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.primeintellect.ai/api/v1/inference/checkpoint-deploy"
payload := strings.NewReader("{\n \"runId\": \"<string>\",\n \"step\": 1,\n \"teamId\": \"<string>\",\n \"onDemand\": true,\n \"replicas\": 1\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.primeintellect.ai/api/v1/inference/checkpoint-deploy")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"runId\": \"<string>\",\n \"step\": 1,\n \"teamId\": \"<string>\",\n \"onDemand\": true,\n \"replicas\": 1\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.primeintellect.ai/api/v1/inference/checkpoint-deploy")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"runId\": \"<string>\",\n \"step\": 1,\n \"teamId\": \"<string>\",\n \"onDemand\": true,\n \"replicas\": 1\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"deploymentName": "<string>",
"status": "PENDING",
"servedModelAlias": "<string>",
"isOnDemand": true,
"createdAt": "2023-11-07T05:31:56Z",
"dashboardUrl": "<string>",
"statusPhase": "<string>",
"errorMessage": "<string>",
"endpointUrl": "<string>",
"checkpoint": {
"runId": "<string>",
"step": 123
},
"replicas": 123,
"gpusPerReplica": 123,
"maxReplicas": 123,
"scaleState": "<string>"
}{
"errors": [
{
"param": "<string>",
"details": "<string>"
}
]
}Authorizations
Body
application/json
Response
Successful Response
Was this page helpful?